Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.remote
Class Remote

    java.lang.Object
      kodo.remote.Remote

    public class Remote

extends Object

Entry point for controlling and interacting with Kodo Remote servers.

Since:
  4.1

Field Summary
`static String` | `LOG_REMOTE` Name of logger for messages from the remote persistence system: `kodo.Remote`.

Method Summary
`void` | `addTransferListener(RemoteTransferListener listener)` This method is only available on client factories.
`static Remote` | `getInstance(org.apache.openjpa.kernel.BrokerFactory factory)` Return a remote manager for the given factory.
`StreamDecorator[]` | `getStreamDecorators()` Return the transport decorators.
`Transport` | `getTransport()` Return the transport in use.
`boolean` | `isPersistenceServerRunning()` Return true if a persistence server is running.
`boolean` | `joinPersistenceServer()` Join the thread running the persistence server for this factory.
`void` | `removeTransferListener(RemoteTransferListener listener)` This method is only available on client factories.
`boolean` | `startPersistenceServer()` Start the persistence server.
`boolean` | `stopPersistenceServer()` Stop the persistence server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_REMOTE

    public static final String LOG_REMOTE

  Name of logger for messages from the remote persistence system: `kodo.Remote`.

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static Remote getInstance(org.apache.openjpa.kernel.BrokerFactory factory)

  Return a remote manager for the given factory.

### startPersistenceServer

    public boolean startPersistenceServer()

  Start the persistence server.

  Returns:
    true if server started, false otherwise

### joinPersistenceServer

    public boolean joinPersistenceServer()

  Join the thread running the persistence server for this factory. This method is not thread safe.

  Returns:
    false if no server is running, true otherwise

### stopPersistenceServer

    public boolean stopPersistenceServer()

  Stop the persistence server.

  Returns:
    false if the server was not running, true otherwise

### isPersistenceServerRunning

    public boolean isPersistenceServerRunning()

  Return true if a persistence server is running.

### addTransferListener

    public void addTransferListener(RemoteTransferListener listener)

  This method is only available on client factories. Register a listener that will be called as the EM uploads objects to the server during flush operations and when objects are downloaded from the server as part of queries or loads.

### removeTransferListener

    public void removeTransferListener(RemoteTransferListener listener)

  This method is only available on client factories. Deregisters a previously registered listener.

### getTransport

    public Transport getTransport()

  Return the transport in use.

### getStreamDecorators

    public StreamDecorator[] getStreamDecorators()

  Return the transport decorators.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.